%  ============================================================
%   SIMarchitect 
%
%   Filename:  SAV_rev_controller.m
%
%	description : SAV reverse controller
%	author      : WdJ
%
%   
%  ============================================================

% Vehicle Parameters
L_0=0.27; %wheel base of truck
L_0b=0.05; % distance rear truck axle to first kingpin (positive means in front of the axle)
L_1f=0.6; % wheel base trailer of first trailer (distance kingpin to rear axle first trailer)
L_0f=L_0;


% Controller gains
steer_sens=1.5;     %6        % Steering sensitivity controller gain 1.75 CAT
lookahead_time=0.15;   %4.2    % Lookahead time controller gain 0.3 CAT
lg1 = 0.85;%0.8
lg2 = 0.15;%0.2
Kh = 0.2;

% Initial Conditions
IC_theta0=3.420626910501749;     %Initial heading angle of the truck
IC_theta1=2.870102003637510;     %Initial heading angle of the first trailer 

IC_x0=-1.77086192056233; %initial condtion truck rear axle X 
IC_y0=3.126574098084081; %initial condition truck rear axle Y

%____Connection information__________________________
%The con_info structure describes the signals and the order of the signals that are needed for on the con_i port.
%The 'desr' field gives a description of the signal and the 'unit' field contains the required unit.
%This information is used for the GUI of the SIMarchitect busselector.
con_info(1).descr = 'x1_f (X coordinate of first kingpin)';
con_info(1).unit = '[m]';
con_info(2).descr = 'x1 (X coordinate of semitrailer rear axle)';
con_info(2).unit = '[m]';
con_info(3).descr = 'y1_f (Y coordinate of first kingpin)';
con_info(3).unit = '[m]';
con_info(4).descr = 'y1 (Y coordinate of semitrailer rear axle)';
con_info(4).unit = '[m]';
con_info(5).descr = 'gamma_1 (Articulation angle between tractor and semitrailer)';
con_info(5).unit = '[rad]';
con_info(6).descr = 'theta_1 (Semitrailer yaw angle)';
con_info(6).unit = '[rad]';
con_info(7).descr = 'v_1 (Velocity of semitrailer)';
con_info(7).unit = '[m/s]';

%%%%%%%%%%%
%revision history
% 
